2019-01-22 02:51 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002171NetSurfRISC OS-specificpublic2015-03-18 23:21
ReporterSprow 
Assigned ToSteve Fryatt 
SeveritytweakReproducibilityalways 
StatusclosedResolutionfixed 
Product Version3.1 
Target VersionFixed in Version3.3 
Summary0002171: Iconbar menu has nonsensical keyboard shortcut
DescriptionThe iconbar menu for NetSurf shows "F1" as loading help, however the iconbar icon can't get the input focus so it doesn't make sense for it to be offered.

Similarly the submenu "Show hotlist F6" and "Show global history F7" shouldn't offer a shortcut key from the iconbar menu.
Additional InformationThe main application menu (from an open NetSurf window) also shows F1, that makes sense because pressing F1 actually does open the help.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Sprow

~0000790

Sprow (reporter)

This seems to have been fixed in FatMessages in commit f4b3f10d57207b824039d5cdd07f9ff7d51baefa so can be closed.
Vincent Sanders

~0000797

Vincent Sanders (administrator)

A bug that was actually resolved and in 3.3 so closing
+Notes

-Issue History
Date Modified Username Field Change
2014-07-13 08:58 Sprow New Issue
2014-07-13 22:02 Vincent Sanders Assigned To => Steve Fryatt
2014-07-13 22:02 Vincent Sanders Status new => acknowledged
2015-03-18 07:54 Sprow Note Added: 0000790
2015-03-18 23:21 Vincent Sanders Note Added: 0000797
2015-03-18 23:21 Vincent Sanders Status acknowledged => closed
2015-03-18 23:21 Vincent Sanders Resolution open => fixed
2015-03-18 23:21 Vincent Sanders Fixed in Version => 3.3
+Issue History